summaryrefslogtreecommitdiff
path: root/borg-family-0.1/debian/borg-family.postinst
diff options
context:
space:
mode:
authorLudovic Pouzenc <ludovic@pouzenc.fr>2021-01-15 23:17:34 +0100
committerLudovic Pouzenc <ludovic@pouzenc.fr>2021-01-15 23:17:34 +0100
commit1ada10f44e2baf28823156c006c82a076c52f530 (patch)
treec57a5d11efffe6f3a96d02b78765f55a1b6c3889 /borg-family-0.1/debian/borg-family.postinst
downloadborg-family-1ada10f44e2baf28823156c006c82a076c52f530.tar.gz
borg-family-1ada10f44e2baf28823156c006c82a076c52f530.tar.bz2
borg-family-1ada10f44e2baf28823156c006c82a076c52f530.zip
borg-family_0.1-1
Diffstat (limited to 'borg-family-0.1/debian/borg-family.postinst')
-rw-r--r--borg-family-0.1/debian/borg-family.postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/borg-family-0.1/debian/borg-family.postinst b/borg-family-0.1/debian/borg-family.postinst
new file mode 100644
index 0000000..5bf8c69
--- /dev/null
+++ b/borg-family-0.1/debian/borg-family.postinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+EVFILE=/etc/borg-family/envvars
+
+if [ "$1" = configure ]; then
+ . /usr/share/debconf/confmodule
+ unset BORG_REPO
+ db_get borg-family/borg-repo && BORG_REPO="$RET"
+ db_stop
+ [ -f "$EVFILE" ] || install -m 644 /usr/share/doc/borg-family/examples/envvars "$EVFILE"
+ [ -n "$BORG_REPO" ] && sed --in-place -e 's#^export BORG_REPO=.*$#export BORG_REPO="'$BORG_REPO'"#' -- "$EVFILE"
+fi
+
+#DEBHELPER#